#include <iostream>
#include <string>
#include "mamiferoexotico.h"
#define CARACTER_SEPARADOR ';'
#include <fstream>
using namespace std;

/**
* @brief Sobrecarga do operador de extração para animal do tipo MamiferoExotico
* @param  input - strem de entrada
*         mamexo - Objeto do tipo MamiferoExotico
*
*/

std::istream& operator>> (std::istream &input, MamiferoExotico &mamexo){
    string aux;
    getline (input,aux,CARACTER_SEPARADOR);
    id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.nome = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.classe = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.cientifico = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.sexo = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.tamanho = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.dieta = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.batismo = aux ;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.veterinario->id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.tratador->id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.cor_pelo = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamexo.ibama = aux;
    getline (input,aux);
    mamexo.pais_origem = aux;
    return input;
}
	/**
  * @brief Construtor cria um animal do tipo MamiferoExotico, que toma Mamifero e AnimalExotico como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, fur_color - cor do pelo
            biernr - ibama, origin_country - pais de origem de animal
  */
MamiferoExotico::MamiferoExotico(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario* vet, Tratador* caretaker,
        string fur_color, string biernr, string origin_country):

        Mamifero(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, fur_color),
        AnimalExotico(biernr, origin_country)
        {}
					MamiferoExotico::~MamiferoExotico(){

					}
}
