#include "mamiferonativo.h"

/**
* @brief Sobrecarga do operador de inserção para animal do tipo MamiferoNativo
* @param  output - stream de saida
*         mamnat - Objeto do tipo MamiferoNativo
*
*/
std::istream& operator>> (std::istream &input, MamiferoNativo &mamnat){
    string aux;
    getline (input,aux,CARACTER_SEPARADOR);
    id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.nome = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.classe = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.cientifico = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.sexo = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.tamanho = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.dieta = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.batismo = aux ;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.veterinario->id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.tratador->id = atoi(aux.c_str());
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.cor_pelo = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.ibama = aux;
    getline (input,aux,CARACTER_SEPARADOR);
    mamnat.uf_origem = aux;
    getline (input,aux);
    mamnat.autorizacao = aux;
    return input;
}
  /**
  * @brief Construtor cria um animal do tipo MamiferoNativo, que toma Mamifero
  *        e AnimalNativo como classe pai a herdar seus atributos
  * @param identity - ID, clas - classe do animal, name - nome do animal, scientific - nome científico do animal,
  *					sex - sexo do animal, size - tamanho do animal, diet - dieta do animal,
  * 				baptism - nome de batismo do animal, vet - veterinário associado ao animal,
  *					caretaker - tratador associado ao animal, fur_color - cor do pelo do animal,
  *         biernr - ibama, origin_state - estado de origem do animal,
  *         authorization - autorização do animal
  */
MamiferoNativo::MamiferoNativo(int identity, string clas, string name, string scientific, char sex, float size,
        string diet, string baptism, Veterinario* vet, Tratador* caretaker,string fur_color,
        string biernr, string origin_state, string authorization):

        Mamifero(identity, clas, name, scientific, sex, size, diet, baptism, vet, caretaker, fur_color),
        AnimalNativo(biernr, origin_state, authorization)
        {}
				MamiferoNativo::~MamiferoNativo(){

	}
}

// std::ostream& operator<< (std::ostream &output, MamiferoNativo const &mamnat) {
// 	output << mamnat.id >> ";" << mamnat.classe << ";" << mamnat.nome << ";" << mamnat.cientifico << ";" <<
// 	 	mamnat.sexo << ";" << mamnat.tamanho << ";" << mamnat.dieta << ";" << mamnat.batismo  << ";" << mamnat.veterinario
//      << ";" << mamnat.tratador << ";" << mamnat.cor_pelo << ";"  << mamnat.ibama << ";"
//      << mamnat.uf_origem << ";" << mamnat.autorizacao;
//
// 	return output;
//
// 	}
